%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate crosstermion

Name:           rust-crosstermion
Version:        0.14.0
Release:    1%{?dist}
Summary:        Utilities for crossterm, without ties to termion

License:        MIT
URL:            https://crates.io/crates/crosstermion
Source0:         %{crates_source}
Patch:          crosstermion-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Utilities for `crossterm`, without ties to `termion`.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ansiterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ansiterm-devel %{_description}

This package contains library source intended for building other packages which
use the "ansiterm" feature of the "%{crate}" crate.

%files       -n %{name}+ansiterm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+async-channel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-channel-devel %{_description}

This package contains library source intended for building other packages which
use the "async-channel" feature of the "%{crate}" crate.

%files       -n %{name}+async-channel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-devel %{_description}

This package contains library source intended for building other packages which
use the "color" feature of the "%{crate}" crate.

%files       -n %{name}+color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossterm-devel %{_description}

This package contains library source intended for building other packages which
use the "crossterm" feature of the "%{crate}" crate.

%files       -n %{name}+crossterm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-channel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-channel-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-channel" feature of the "%{crate}" crate.

%files       -n %{name}+futures-channel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-core-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-core" feature of the "%{crate}" crate.

%files       -n %{name}+futures-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-lite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-lite-devel %{_description}

This package contains library source intended for building other packages which
use the "futures-lite" feature of the "%{crate}" crate.

%files       -n %{name}+futures-lite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+input-async-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+input-async-devel %{_description}

This package contains library source intended for building other packages which
use the "input-async" feature of the "%{crate}" crate.

%files       -n %{name}+input-async-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+input-async-crossterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+input-async-crossterm-devel %{_description}

This package contains library source intended for building other packages which
use the "input-async-crossterm" feature of the "%{crate}" crate.

%files       -n %{name}+input-async-crossterm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-devel %{_description}

This package contains library source intended for building other packages which
use the "tui" feature of the "%{crate}" crate.

%files       -n %{name}+tui-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-crossterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-crossterm-devel %{_description}

This package contains library source intended for building other packages which
use the "tui-crossterm" feature of the "%{crate}" crate.

%files       -n %{name}+tui-crossterm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-crossterm-backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-crossterm-backend-devel %{_description}

This package contains library source intended for building other packages which
use the "tui-crossterm-backend" feature of the "%{crate}" crate.

%files       -n %{name}+tui-crossterm-backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-react-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-react-devel %{_description}

This package contains library source intended for building other packages which
use the "tui-react" feature of the "%{crate}" crate.

%files       -n %{name}+tui-react-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tui-react-crossterm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tui-react-crossterm-devel %{_description}

This package contains library source intended for building other packages which
use the "tui-react-crossterm" feature of the "%{crate}" crate.

%files       -n %{name}+tui-react-crossterm-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.0-1
- initial build
